// Id:编号, ItemId:物品ID, ItemCount:物品数量, IntegralItem:所需试炼积分道具, IntegralCount:所需试炼积分, ArmsId:武器ID（1武器，0其他）

export default class M_ActivityMonsterGiftBoxCFG {
  private static data =
      {"1":{"Id":1,"ItemId":256,"ItemCount":50,"IntegralItem":274,"IntegralCount":400,"ArmsId":0}

      ,"2":{"Id":2,"ItemId":256,"ItemCount":100,"IntegralItem":274,"IntegralCount":800,"ArmsId":0}

      ,"3":{"Id":3,"ItemId":250,"ItemCount":1,"IntegralItem":274,"IntegralCount":1200,"ArmsId":4}

      ,"4":{"Id":4,"ItemId":251,"ItemCount":1,"IntegralItem":274,"IntegralCount":1500,"ArmsId":5}

      ,"5":{"Id":5,"ItemId":252,"ItemCount":1,"IntegralItem":274,"IntegralCount":2000,"ArmsId":6}

      ,"6":{"Id":6,"ItemId":252,"ItemCount":1,"IntegralItem":274,"IntegralCount":2500,"ArmsId":6}

      }// Id:编号, ItemId:物品ID, ItemCount:物品数量, IntegralItem:所需试炼积分道具, IntegralCount:所需试炼积分, ArmsId:武器ID（1武器，0其他）


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}